package com.manage.dao;

import com.manage.entity.Power_Role_Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Power_Role_MenuMapper {
    int deleteByPrimaryKey(Integer roleMenuId);

    int insert(Power_Role_Menu record);

    int insertSelective(Power_Role_Menu record);

    Power_Role_Menu selectByPrimaryKey(Integer roleMenuId);

    int updateByPrimaryKeySelective(Power_Role_Menu record);

    int updateByPrimaryKey(Power_Role_Menu record);

    /**@Date 2019-04-28
     * @Author zengwh
     * 根据角色id查询该角色的功能方法集合
     * */
    List<Power_Role_Menu> selectRoleMenuByRoleId(@Param("roleId") Integer roleId);

    /**@Date 2019-04-28
     * @Author zengwh
     * 根据角色id和角色id查询改角色的功能方法集合
     * */
    List<Power_Role_Menu> selectRoleMenuPower(@Param("sysFlag") String sysFlag, @Param("roleId") Integer roleId);

    /**@Date 2019-11-05
     * @Author zengwh
     * 根据角色id和系统标识删除权限
     * * */
    int deleteRoleMenuByRoleAndSysFlag(@Param("sysFlag") String sysFlag, @Param("roleId") Integer roleId);
    /**@Date 2019-11-05
     * @Author zengwh
     * 批量插入
     * * */
    int simpleInsertRoleMenu(@Param("list")List<Power_Role_Menu> list);
}